/* macos.h */
/*
 * Copyright (c) 1991 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

#include <Types.h>

#define	INADDR_LOOPBACK	0x7F000001	/* 127.0.0.1 */
#define TCP_BUFSIZ		4096

#define htonl(x)	(x)
#define ntohl(x)	(x)
#define htons(x)	(x)
#define ntohs(x)	(x)

typedef unsigned long	u_long;
typedef unsigned short	u_short;
typedef unsigned char	u_char;

/*
 * function prototypes
 */
int dxi_add( char *who, char **entry );
int dxi_send( char type, char *buf, int buflen, char *answer, int anslen, int scope );
int dxi_udpbind( char *who, char *passwd );
int dxi_bind( char *who, char *passwd );
int dxi_perror( char *s );
int dxi_init( char *host, int timeout, int retries );
int dxi_list( char *who, char *ans );
int dxi_modify( char *who, char **what );
int dxi_modrdn( char *who, char *newrdn );
char *dxi_findtype( char *buf, char *at );
char *dxi_firstattr( char *ent );
char *dxi_nextattr( char *attr );
int dxi_matches( char *buf );
int dxi_countvalues( char *avl );
char *dxi_firstentry( char *buf );
char *dxi_nextentry( void );
char *dxi_getdn( char *buf );
char **dxi_getvalues( char *buf, char *at );
void dxi_valuefree( char **av );
char *dxi_lastdncomp( char *dn );
int dxi_read( char *who, char **attrs, char *ans );
int dxi_remove( char *who );
int dxi_search( char *base, int scope, char *filter, char *attrlist[], char *answer );
int dxi_tcpbind( char *who, char *passwd );
int add_server( u_long ns );
int open_sock( u_long address, short port );
int dxi_close( void );
char *dxi_dn2ufn( char *dn );

void * malloc( unsigned long bytes );
void free( void *ptr );
void *calloc( unsigned long num, unsigned long size );
void bcopy( char *src, char *dst, unsigned long count );
void bzero( char *buf, unsigned long count );
char *strdup( char *s );
unsigned long inet_addr( char *host );
struct hostInfo *gethostinfobyname( char *host );
u_long inet_addr( char *s );
int strcasecmp( char *s1, char *s2 );
int strncasecmp( char *s1, char *s2, long len );
char *index( char *s, char c );
char *rindex( char *s, char c );
char *strdup( char *buf );
int bprint( char *buf, int len );
